Page MenuHomePhabricator

Video embeds, even of OGV files, no longer work
Closed, ResolvedPublic

Description

In T215360 I requested video embeds to be enabled for other video formats than OGV.

Instead, even OGV files no longer play! :(

The old file F28128844 can still be played:


The new file F29785397, which I uploaded today, can not:

I note that the old file has "Mime Type: application/ogg", while the new one has "Mime Type: video/ogg", although I couldn't tell what causes the difference when examining them. They are both pretty normal boring video files.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 16 2019, 10:54 PM

One of these is detecting as MIME type video/ogg; one as application/ogg. The files.video-mime-types configuration option in Phabricator includes both of these MIME types by default, but it may have been adjusted on this install to include only one. If so, a simple remedy might be to add application/ogg to files.video-mime-types, if there isn't some reason that it was removed/disabled and I'm guessing right about what's going on here. Locally, with the default configuration, this file embeds with video player controls for me:

Aklapper added a comment.EditedJul 17 2019, 3:18 PM

files.video-mime-types is {"video/mp4": true, "video/ogg": true, "video/webm": true, "video/quicktime": true, "application/ogg": true} on our installation when looking at https://phabricator.wikimedia.org/config/all/

We don't seem to change any settings from upstream as I don't see files.video-mime-types anywhere in https://phabricator.wikimedia.org/source/operations-puppet/browse/production/modules/phabricator/data/fixed_settings.yaml

In that file, files.viewable-mime-types has application/ogg but not video/ogg. Maybe that’s it?

Change 523952 had a related patch set uploaded (by Aklapper; owner: Aklapper):
[operations/puppet@production] Phab: Allow viewing ogg video files inline (instead of downloading)

https://gerrit.wikimedia.org/r/523952

Ah, good catch. Yeah, files.viewable-mime-types is likely the culprit here.

Change 523952 merged by Dzahn:
[operations/puppet@production] Phab: Allow viewing ogg video files inline (instead of downloading)

https://gerrit.wikimedia.org/r/523952

matmarex closed this task as Resolved.Aug 10 2019, 10:40 AM

Thank you, this indeed works!